scala.collection.mutable

# StringBuilder

###
Related Docs: object StringBuilder | package mutable

#### final class StringBuilder extends AbstractSeq[Char] with CharSequence with IndexedSeq[Char] with StringLike[StringBuilder] with Builder[Char, String] with Serializable

A builder for mutable sequence of characters. This class provides an API mostly compatible with `java.lang.StringBuilder`, except where there are conflicts with the Scala collections API (such as the `reverse` method.)

Annotations
  @SerialVersionUID()
Source
  StringBuilder.scala
Version

  2.8

Since

  2.7

Linear Supertypes
Serializable, java.io.Serializable, Builder[Char, String], Growable[Char], Clearable, StringLike[StringBuilder], math.Ordered[String], Comparable[String], collection.IndexedSeqOptimized[Char, StringBuilder], IndexedSeq[Char], IndexedSeqLike[Char, IndexedSeq[Char]], collection.IndexedSeq[Char], collection.IndexedSeqLike[Char, StringBuilder], CharSequence, AbstractSeq[Char], Seq[Char], SeqLike[Char, Seq[Char]], Cloneable[Seq[Char]], scala.Cloneable, java.lang.Cloneable, Iterable[Char], Traversable[Char], Mutable, collection.AbstractSeq[Char], collection.Seq[Char], collection.SeqLike[Char, StringBuilder], GenSeq[Char], GenSeqLike[Char, StringBuilder], PartialFunction[Int, Char], (Int) ⇒ Char, collection.AbstractIterable[Char], collection.Iterable[Char], IterableLike[Char, StringBuilder], Equals, GenIterable[Char], GenIterableLike[Char, StringBuilder], AbstractTraversable[Char], collection.Traversable[Char], GenTraversable[Char], GenericTraversableTemplate[Char, IndexedSeq], TraversableLike[Char, StringBuilder], GenTraversableLike[Char, StringBuilder], Parallelizable[Char, ParSeq[Char]], TraversableOnce[Char], GenTraversableOnce[Char], FilterMonadic[Char, StringBuilder], HasNewBuilder[Char, StringBuilder], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. StringBuilder
2. Serializable
3. Serializable
4. Builder
5. Growable
6. Clearable
7. StringLike
8. Ordered
9. Comparable
10. IndexedSeqOptimized
11. IndexedSeq
12. IndexedSeqLike
13. IndexedSeq
14. IndexedSeqLike
15. CharSequence
16. AbstractSeq
17. Seq
18. SeqLike
19. Cloneable
20. Cloneable
21. Cloneable
22. Iterable
23. Traversable
24. Mutable
25. AbstractSeq
26. Seq
27. SeqLike
28. GenSeq
29. GenSeqLike
30. PartialFunction
31. Function1
32. AbstractIterable
33. Iterable
34. IterableLike
35. Equals
36. GenIterable
37. GenIterableLike
38. AbstractTraversable
39. Traversable
40. GenTraversable
41. GenericTraversableTemplate
42. TraversableLike
43. GenTraversableLike
44. Parallelizable
45. TraversableOnce
46. GenTraversableOnce
47. FilterMonadic
48. HasNewBuilder
49. AnyRef
50. Any

Implicitly

1. by SeqCharSequence
2. by CollectionsHaveToParArray
3. by MonadOps
4. by any2stringadd
5. by StringFormat
6. by Ensuring
7. by ArrowAssoc
8. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new StringBuilder(str: String)

   Constructs a string builder with initial characters equal to characters of `str`.

2. #### new StringBuilder(capacity: Int)

   Constructs a string builder with no characters in it and an initial capacity specified by the `capacity` argument.

   Constructs a string builder with no characters in it and an initial capacity specified by the `capacity` argument.

   capacity

     the initial capacity.

   Exceptions thrown

     `NegativeArraySizeException` if capacity < 0.

3. #### new StringBuilder()

   Constructs a string builder with no characters in it and an initial capacity of 16 characters.

4. #### new StringBuilder(initCapacity: Int, initValue: String)

   Constructs a string builder initialized with string value `initValue` and with additional character capacity `initCapacity`.

5. #### new StringBuilder(underlying: java.lang.StringBuilder)

### Type Members

1. #### class Elements extends AbstractIterator[A] with BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

   The class of the iterator returned by the `iterator` method. multiple `take`, `drop`, and `slice` operations on this iterator are bunched together for better efficiency.

   Attributes
     protected
   Definition Classes
     IndexedSeqLike
   Annotations
     @SerialVersionUID()

2. #### type Self = StringBuilder

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected[this]
   Definition Classes
     TraversableLike

3. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

   A class supporting filtered operations. Instances of this class are returned by method `withFilter`.

   Definition Classes
     TraversableLike

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def *(n: Int): String

   Return the current string concatenated `n` times.

   Return the current string concatenated `n` times.

   Definition Classes
     StringLike

4. #### def +(x: Char): StringBuilder.this.type

   !!! This should create a new sequence.

5. #### def ++[B](that: GenTraversableOnce[B]): IndexedSeq[B]

   [use case] Returns a new string builder containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new string builder containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the string builder is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = List(1)
       a: List[Int] = List(1)

       scala> val b = List(2)
       b: List[Int] = List(2)

       scala> val c = a ++ b
       c: List[Int] = List(1, 2)

       scala> val d = List('a')
       d: List[Char] = List(a)

       scala> val e = c ++ d
       e: List[AnyVal] = List(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new string builder which contains all elements of this string builder followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Char, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

6. #### def ++:[B >: Char, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this traversable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: TraversableOnce[B]): IndexedSeq[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new string builder which contains all elements of this string builder followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: Char, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

8. #### def ++=(s: String): StringBuilder.this.type

   Optimization.

9. #### def ++=(xs: TraversableOnce[Char]): StringBuilder.this.type

   adds all elements produced by a TraversableOnce to this growable collection.

   adds all elements produced by a TraversableOnce to this growable collection.

   xs

     the TraversableOnce producing the elements to add.

   returns

     the growable collection itself.

   Definition Classes
     Growable

10. #### def +:(elem: A): IndexedSeq[A]

    [use case] A copy of the string builder with an element prepended.

    [use case]

    A copy of the string builder with an element prepended.

    Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Also, the original string builder is not modified, so you will want to capture the result.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = 2 +: x
        y: List[Int] = List(2, 1)

        scala> println(x)
        List(1)

    elem

      the prepended element

    returns

      a new string builder consisting of `elem` followed by all elements of this string builder.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def +:[B >: Char, That](elem: B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

11. #### def +=(x: Char): StringBuilder.this.type

    Appends the given Char to the end of the sequence.

    Appends the given Char to the end of the sequence.

    returns

      the builder itself.

    Definition Classes
      StringBuilder → Builder → Growable

12. #### def +=(elem1: Char, elem2: Char, elems: Char*): StringBuilder.this.type

    adds two or more elements to this growable collection.

    adds two or more elements to this growable collection.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the growable collection itself

    Definition Classes
      Growable

13. #### def ->[B](y: B): (StringBuilder, B)

    Implicit information
      This member is added by an implicit conversion from StringBuilder to ArrowAssoc[StringBuilder] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

14. #### def /:[B](z: B)(op: (B, Char) ⇒ B): B

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce

15. #### def :+(elem: A): IndexedSeq[A]

    [use case] A copy of this string builder with an element appended.

    [use case]

    A copy of this string builder with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Example:

        scala> val a = List(1)
        a: List[Int] = List(1)

        scala> val b = a :+ 2
        b: List[Int] = List(1, 2)

        scala> println(a)
        List(1)

    elem

      the appended element

    returns

      a new string builder consisting of all elements of this string builder followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: Char, That](elem: B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

16. #### def :\[B](z: B)(op: (Char, B) ⇒ B): B

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce

17. #### def <(that: String): Boolean

    Returns true if `this` is less than `that`

    Returns true if `this` is less than `that`

    Definition Classes
      Ordered

18. #### def <=(that: String): Boolean

    Returns true if `this` is less than or equal to `that`.

    Returns true if `this` is less than or equal to `that`.

    Definition Classes
      Ordered

19. #### final def ==(arg0: Any): Boolean

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    arg0

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

20. #### def >(that: String): Boolean

    Returns true if `this` is greater than `that`.

    Returns true if `this` is greater than `that`.

    Definition Classes
      Ordered

21. #### def >=(that: String): Boolean

    Returns true if `this` is greater than or equal to `that`.

    Returns true if `this` is greater than or equal to `that`.

    Definition Classes
      Ordered

22. #### def addString(b: scala.StringBuilder): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder.

    Appends all elements of this traversable or iterator to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator without any separator string.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        h: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

23. #### def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder using a separator string.

    Appends all elements of this traversable or iterator to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

24. #### def addString(b: scala.StringBuilder, start: String, sep: String, end: String): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings.

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

25. #### def aggregate[B](z: ⇒ B)(seqop: (B, Char) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation) and may be evaluated more than once

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

26. #### def andThen[C](k: (Char) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

27. #### def append(x: Char): StringBuilder

28. #### def append(x: Double): StringBuilder

29. #### def append(x: Float): StringBuilder

30. #### def append(x: Long): StringBuilder

31. #### def append(x: Int): StringBuilder

32. #### def append(x: Short): StringBuilder

33. #### def append(x: Byte): StringBuilder

34. #### def append(x: Boolean): StringBuilder

    Append the String representation of the given primitive type to this sequence.

    Append the String representation of the given primitive type to this sequence. The argument is converted to a String with String.valueOf.

    x

      a primitive value

    returns

      This StringBuilder.

35. #### def append(sb: StringBuilder): StringBuilder

    Appends the specified string builder to this sequence.

    Appends the specified string builder to this sequence.

    sb
    returns

36. #### def append(s: String): StringBuilder

    Appends the given String to this sequence.

    Appends the given String to this sequence.

    s

      a String.

    returns

      this StringBuilder.

37. #### def append(x: Any): StringBuilder

    Appends the string representation of the given argument, which is converted to a String with `String.valueOf`.

    Appends the string representation of the given argument, which is converted to a String with `String.valueOf`.

    x

      an `Any` object.

    returns

      this StringBuilder.

38. #### def appendAll(xs: Array[Char], offset: Int, len: Int): StringBuilder

    Appends a portion of the given Array[Char] to this sequence.

    Appends a portion of the given Array[Char] to this sequence.

    xs

      the Array containing Chars to be appended.

    offset

      the index of the first Char to append.

    len

      the numbers of Chars to append.

    returns

      this StringBuilder.

39. #### def appendAll(xs: Array[Char]): StringBuilder

    Appends all the Chars in the given Array[Char] to this sequence.

    Appends all the Chars in the given Array[Char] to this sequence.

    xs

      the characters to be appended.

    returns

      a reference to this object.

40. #### def appendAll(xs: TraversableOnce[Char]): StringBuilder

    Appends all the Chars in the given Seq[Char] to this sequence.

    Appends all the Chars in the given Seq[Char] to this sequence.

    xs

      the characters to be appended.

    returns

      this StringBuilder.

41. #### def appendAll(xs: String): StringBuilder

42. #### def apply(index: Int): Char

    Equivalent to charAt.

    Equivalent to charAt.

    returns

      the element of this string builder at index `idx`, where `0` indicates the first element.

    Definition Classes
      StringBuilder → StringLike → SeqLike → GenSeqLike → Function1

43. #### def applyOrElse[A1 <: Int, B1 >: Char](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals the compiler generates an `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

44. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

45. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this iterable collection should be compared

    returns

      `true`, if this iterable collection can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

46. #### def capacity: Int

    Returns the current capacity, which is the size of the underlying array.

    Returns the current capacity, which is the size of the underlying array. A new array will be allocated if the current capacity is exceeded.

    returns

      the capacity

47. #### def capitalize: String

    Returns this string with first character converted to upper case.

    Returns this string with first character converted to upper case. If the first character of the string is capitalized, it is returned unchanged.

    Definition Classes
      StringLike

48. #### def charAt(index: Int): Char

    Returns the Char at the specified index, counting from 0 as in Arrays.

    Returns the Char at the specified index, counting from 0 as in Arrays.

    index

      the index to look up

    returns

      the Char at the given index.

    Definition Classes
      StringBuilder → CharSequence
    Exceptions thrown

      `IndexOutOfBoundsException` if the index is out of bounds.

49. #### def clear(): Unit

    Clears the builder contents.

    Clears the builder contents.

    Definition Classes
      StringBuilder → Builder → Growable → Clearable

50. #### def clone(): StringBuilder

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      StringBuilder → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

51. #### def collect[B](pf: PartialFunction[A, B]): IndexedSeq[B]

    [use case] Builds a new collection by applying a partial function to all elements of this string builder on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this string builder on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the string builder.

    returns

      a new string builder resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Char, B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

52. #### def collectFirst[B](pf: PartialFunction[Char, B]): Option[B]

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

53. #### def combinations(n: Int): Iterator[StringBuilder]

    Iterates over combinations.

    Iterates over combinations. A _combination_ of length `n` is a subsequence of the original sequence, with the elements taken in order. Thus, `"xy"` and `"yy"` are both length-2 combinations of `"xyy"`, but `"yx"` is not. If there is more than one way to generate the same subsequence, only one will be returned.

    For example, `"xyyy"` has three different ways to generate `"xy"` depending on whether the first, second, or third `"y"` is selected. However, since all are identical, only one will be chosen. Which of the three will be taken is an implementation detail that is not defined.

    returns

      An Iterator which traverses the possible n-element combinations of this sequence.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

54. #### def companion: GenericCompanion[IndexedSeq]

    The factory companion object that builds instances of class `IndexedSeq`.

    The factory companion object that builds instances of class `IndexedSeq`. (or its `Iterable` superclass where class `IndexedSeq` is not a `Seq`.)

    Definition Classes
      IndexedSeq → IndexedSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

55. #### def compare(other: String): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Implement this method to determine how instances of A will be sorted.

    Returns `x` where:

    - `x < 0` when `this < that`
    - `x == 0` when `this == that`
    - `x > 0` when `this > that`
    Definition Classes
      StringLike → Ordered

56. #### def compareTo(that: String): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Definition Classes
      Ordered → Comparable

57. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Char

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

58. #### def contains[A1 >: Char](elem: A1): Boolean

    Tests whether this sequence contains a given value as an element.

    Tests whether this sequence contains a given value as an element.

    Note: may not terminate for infinite-sized collections.

    elem

      the element to test.

    returns

      `true` if this sequence has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

59. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this sequence contains a given sequence as a slice.

    Tests whether this sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this sequence contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

60. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this string builder to an array.

    [use case]

    Copies elements of this string builder to an array. Fills the given array `xs` with at most `len` elements of this string builder, starting at position `start`. Copying will stop once either the end of the current string builder is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Char](xs: Array[B], start: Int, len: Int): Unit

61. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this string builder to an array.

    [use case]

    Copies values of this string builder to an array. Fills the given array `xs` with values of this string builder. Copying will stop once either the end of the current string builder is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Char](xs: Array[B]): Unit

62. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this string builder to an array.

    [use case]

    Copies values of this string builder to an array. Fills the given array `xs` with values of this string builder, beginning at index `start`. Copying will stop once either the end of the current string builder is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Char](xs: Array[B], start: Int): Unit

63. #### def copyToBuffer[B >: Char](dest: Buffer[B]): Unit

    Copies all elements of this traversable or iterator to a buffer.

    Copies all elements of this traversable or iterator to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

64. #### def corresponds[B](that: GenSeq[B])(p: (Char, B) ⇒ Boolean): Boolean

    Tests whether every element of this sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this sequence and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

65. #### def count(p: (Char) ⇒ Boolean): Int

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

66. #### def delete(start: Int, end: Int): StringBuilder

    Remove a subsequence of Chars from this sequence, starting at the given start index (inclusive) and extending to the end index (exclusive) or to the end of the String, whichever comes first.

    Remove a subsequence of Chars from this sequence, starting at the given start index (inclusive) and extending to the end index (exclusive) or to the end of the String, whichever comes first.

    start

      The beginning index, inclusive.

    end

      The ending index, exclusive.

    returns

      This StringBuilder.

    Exceptions thrown

      `StringIndexOutOfBoundsException` if start < 0 || start > end

67. #### def deleteCharAt(index: Int): StringBuilder

    Removes the Char at the specified index.

    Removes the Char at the specified index. The sequence is shortened by one.

    index

      The index to remove.

    returns

      This StringBuilder.

    Exceptions thrown

      `IndexOutOfBoundsException` if the index is out of bounds.

68. #### def diff(that: collection.Seq[Char]): IndexedSeq[Char]

    [use case] Computes the multiset difference between this string builder and another sequence.

    [use case]

    Computes the multiset difference between this string builder and another sequence.

    that

      the sequence of elements to remove

    returns

      a new string builder which contains all elements of this string builder except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: Char](that: GenSeq[B]): StringBuilder

69. #### def distinct: StringBuilder

    Builds a new sequence from this sequence without any duplicate elements.

    Builds a new sequence from this sequence without any duplicate elements.

    Note: will not terminate for infinite-sized collections.

    returns

      A new sequence which contains the first occurrence of every element of this sequence.

    Definition Classes
      SeqLike → GenSeqLike

70. #### def drop(n: Int): StringBuilder

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this sequence.

    returns

      a sequence consisting of all elements of this sequence except the first `n` ones, or else the empty sequence, if this sequence has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

71. #### def dropRight(n: Int): StringBuilder

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a sequence consisting of all elements of this sequence except the last `n` ones, or else the empty sequence, if this sequence has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike

72. #### def dropWhile(p: (Char) ⇒ Boolean): StringBuilder

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this sequence whose first element does not satisfy the predicate `p`.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike

73. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this sequence ends with the given sequence.

    Tests whether this sequence ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this sequence has `that` as a suffix, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

74. #### def ensureCapacity(newCapacity: Int): Unit

    Ensure that the capacity is at least the given argument.

    Ensure that the capacity is at least the given argument. If the argument is greater than the current capacity, new storage will be allocated with size equal to the given argument or to `(2 * capacity + 2)`, whichever is larger.

    newCapacity

      the minimum desired capacity.

75. #### def ensuring(cond: (StringBuilder) ⇒ Boolean, msg: ⇒ Any): StringBuilder

    Implicit information
      This member is added by an implicit conversion from StringBuilder to Ensuring[StringBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

76. #### def ensuring(cond: (StringBuilder) ⇒ Boolean): StringBuilder

    Implicit information
      This member is added by an implicit conversion from StringBuilder to Ensuring[StringBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

77. #### def ensuring(cond: Boolean, msg: ⇒ Any): StringBuilder

    Implicit information
      This member is added by an implicit conversion from StringBuilder to Ensuring[StringBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

78. #### def ensuring(cond: Boolean): StringBuilder

    Implicit information
      This member is added by an implicit conversion from StringBuilder to Ensuring[StringBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

79. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

80. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → Any

81. #### def exists(p: (Char) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this sequence.

    Tests whether a predicate holds for some of the elements of this sequence.

    p

      the predicate used to test elements.

    returns

      `false` if this sequence is empty, otherwise `true` if the given predicate `p` holds for some of the elements of this sequence, otherwise `false`

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

82. #### def filter(p: (Char) ⇒ Boolean): StringBuilder

    Selects all elements of this traversable collection which satisfy a predicate.

    Selects all elements of this traversable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new traversable collection consisting of all elements of this traversable collection that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

83. #### def filterNot(p: (Char) ⇒ Boolean): StringBuilder

    Selects all elements of this traversable collection which do not satisfy a predicate.

    Selects all elements of this traversable collection which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new traversable collection consisting of all elements of this traversable collection that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

84. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

85. #### def find(p: (Char) ⇒ Boolean): Option[Char]

    Finds the first element of the sequence satisfying a predicate, if any.

    Finds the first element of the sequence satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the sequence that satisfies `p`, or `None` if none exists.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

86. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): IndexedSeq[B]

    [use case] Builds a new collection by applying a function to all elements of this string builder and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this string builder and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of string builder. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new string builder resulting from applying the given collection-valued function `f` to each element of this string builder and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Char) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

87. #### def flatten[B]: IndexedSeq[B]

    [use case] Converts this string builder of traversable collections into a string builder formed by the elements of these traversable collections.

    [use case]

    Converts this string builder of traversable collections into a string builder formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of string builder. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(1, 2, 3)
                 ).flatten
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(
                   List(1, 2, 3),
                   List(3, 2, 1)
                 ).flatten
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new string builder resulting from concatenating all element string builders.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Char) ⇒ GenTraversableOnce[B]): IndexedSeq[B]

88. #### def fold[A1 >: Char](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

89. #### def foldLeft[B](z: B)(op: (B, Char) ⇒ B): B

    Applies a binary operator to a start value and all elements of this sequence, going left to right.

    Applies a binary operator to a start value and all elements of this sequence, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this sequence, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this sequence.

    Definition Classes
      IndexedSeqOptimized → TraversableOnce → GenTraversableOnce

90. #### def foldRight[B](z: B)(op: (Char, B) ⇒ B): B

    Applies a binary operator to all elements of this sequence and a start value, going right to left.

    Applies a binary operator to all elements of this sequence and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this sequence.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

91. #### def forall(p: (Char) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this sequence.

    Tests whether a predicate holds for all elements of this sequence.

    p

      the predicate used to test elements.

    returns

      `true` if this sequence is empty, otherwise `true` if the given predicate `p` holds for all elements of this sequence, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

92. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this string builder.

    [use case]

    Applies a function `f` to all elements of this string builder.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (Char) ⇒ U): Unit

93. #### def format(args: Any*): String

    Uses the underlying string as a pattern (in a fashion similar to printf in C), and uses the supplied arguments to fill in the holes.

    Uses the underlying string as a pattern (in a fashion similar to printf in C), and uses the supplied arguments to fill in the holes.

    The interpretation of the formatting patterns is described in `java.util.Formatter`, with the addition that classes deriving from `ScalaNumber` (such as scala.BigInt and scala.BigDecimal) are unwrapped to pass a type which `Formatter` understands.

    args

      the arguments used to instantiating the pattern.

    Definition Classes
      StringLike
    Exceptions thrown

      `java.lang.IllegalArgumentException`

94. #### def formatLocal(l: Locale, args: Any*): String

    Like `format(args*)` but takes an initial `Locale` parameter which influences formatting as in `java.lang.String`'s format.

    Like `format(args*)` but takes an initial `Locale` parameter which influences formatting as in `java.lang.String`'s format.

    The interpretation of the formatting patterns is described in `java.util.Formatter`, with the addition that classes deriving from `ScalaNumber` (such as `scala.BigInt` and `scala.BigDecimal`) are unwrapped to pass a type which `Formatter` understands.

    l

      an instance of `java.util.Locale`

    args

      the arguments used to instantiating the pattern.

    Definition Classes
      StringLike
    Exceptions thrown

      `java.lang.IllegalArgumentException`

95. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from StringBuilder to StringFormat[StringBuilder] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

96. #### def genericBuilder[B]: Builder[B, IndexedSeq[B]]

    The generic builder that builds instances of Traversable at arbitrary element types.

    The generic builder that builds instances of Traversable at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

97. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

98. #### def groupBy[K](f: (Char) ⇒ K): immutable.Map[K, StringBuilder]

    Partitions this traversable collection into a map of traversable collections according to some discriminator function.

    Partitions this traversable collection into a map of traversable collections according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new traversable collection.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to traversable collections such that the following invariant holds:

          (xs groupBy f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a traversable collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

99. #### def grouped(size: Int): Iterator[StringBuilder]

    Partitions elements in fixed size iterable collections.

    Partitions elements in fixed size iterable collections.

    size

      the number of elements per group

    returns

      An iterator producing iterable collections of size `size`, except the last will be less than size `size` if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

100. #### def hasDefiniteSize: Boolean

     Tests whether this traversable collection is known to have a finite size.

     Tests whether this traversable collection is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

     Note: many collection methods will not work on collections of infinite sizes.

     returns

       `true` if this collection is known to have finite size, `false` otherwise.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

101. #### def hashCode(): Int

     Hashcodes for IndexedSeq produce a value from the hashcodes of all the elements of the sequence.

     Hashcodes for IndexedSeq produce a value from the hashcodes of all the elements of the sequence.

     returns

       the hash code value for this object.

     Definition Classes
       IndexedSeqLike → GenSeqLike → Any

102. #### def head: Char

     Selects the first element of this sequence.

     Selects the first element of this sequence.

     returns

       the first element of this sequence.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike
     Exceptions thrown

       `NoSuchElementException` if the sequence is empty.

103. #### def headOption: Option[Char]

     Optionally selects the first element.

     Optionally selects the first element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the first element of this traversable collection if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

104. #### def indexOf(str: String, fromIndex: Int): Int

     Finds the index of the first occurrence of the specified substring.

     Finds the index of the first occurrence of the specified substring.

     str

       the target string to search for

     fromIndex

       the smallest index in the source string to consider

     returns

       the first applicable index where target occurs, or -1 if not found.

105. #### def indexOf(str: String): Int

     Finds the index of the first occurrence of the specified substring.

     Finds the index of the first occurrence of the specified substring.

     str

       the target string to search for

     returns

       the first applicable index where target occurs, or -1 if not found.

106. #### def indexOf(elem: Char, from: Int): Int

     [use case] Finds index of first occurrence of some value in this string builder after or at some start index.

     [use case]

     Finds index of first occurrence of some value in this string builder after or at some start index.

     elem

       the element value to search for.

     from

       the start index

     returns

       the index `>= from` of the first element of this string builder that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def indexOf[B >: Char](elem: B, from: Int): Int

107. #### def indexOf(elem: Char): Int

     [use case] Finds index of first occurrence of some value in this string builder.

     [use case]

     Finds index of first occurrence of some value in this string builder.

     elem

       the element value to search for.

     returns

       the index of the first element of this string builder that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def indexOf[B >: Char](elem: B): Int

108. #### def indexOfSlice[B >: Char](that: GenSeq[B], from: Int): Int

     Finds first index after or at a start index where this sequence contains a given sequence as a slice.

     Finds first index after or at a start index where this sequence contains a given sequence as a slice.

     Note: may not terminate for infinite-sized collections.

     that

       the sequence to test

     from

       the start index

     returns

       the first index `>= from` such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

109. #### def indexOfSlice[B >: Char](that: GenSeq[B]): Int

     Finds first index where this sequence contains a given sequence as a slice.

     Finds first index where this sequence contains a given sequence as a slice.

     Note: may not terminate for infinite-sized collections.

     that

       the sequence to test

     returns

       the first index such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

110. #### def indexWhere(p: (Char) ⇒ Boolean, from: Int): Int

     Finds index of the first element satisfying some predicate after or at some start index.

     Finds index of the first element satisfying some predicate after or at some start index.

     p

       the predicate used to test elements.

     from

       the start index

     returns

       the index `>= from` of the first element of this sequence that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

111. #### def indexWhere(p: (Char) ⇒ Boolean): Int

     Finds index of first element satisfying some predicate.

     Finds index of first element satisfying some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the index of the first element of this general sequence that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

112. #### def indices: immutable.Range

     Produces the range of all indices of this sequence.

     Produces the range of all indices of this sequence.

     returns

       a `Range` value from `0` to one less than the length of this sequence.

     Definition Classes
       SeqLike

113. #### def init: StringBuilder

     Selects all elements except the last.

     Selects all elements except the last.

     returns

       a sequence consisting of all elements of this sequence except the last one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown

       `UnsupportedOperationException` if the sequence is empty.

114. #### def inits: Iterator[StringBuilder]

     Iterates over the inits of this traversable collection.

     Iterates over the inits of this traversable collection. The first value will be this traversable collection and the final one will be an empty traversable collection, with the intervening values the results of successive applications of `init`.

     returns

       an iterator over all the inits of this traversable collection

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

115. #### def insert(index: Int, x: Char): StringBuilder

116. #### def insert(index: Int, x: Double): StringBuilder

117. #### def insert(index: Int, x: Float): StringBuilder

118. #### def insert(index: Int, x: Long): StringBuilder

119. #### def insert(index: Int, x: Int): StringBuilder

120. #### def insert(index: Int, x: Short): StringBuilder

121. #### def insert(index: Int, x: Byte): StringBuilder

122. #### def insert(index: Int, x: Boolean): StringBuilder

     Calls String.valueOf on the given primitive value, and inserts the String at the given index.

     Calls String.valueOf on the given primitive value, and inserts the String at the given index.

     index

       the offset position.

     x

       a primitive value.

     returns

       this StringBuilder.

123. #### def insert(index: Int, x: String): StringBuilder

     Inserts the String into this character sequence.

     Inserts the String into this character sequence.

     index

       the index at which to insert.

     x

       a String.

     returns

       this StringBuilder.

     Exceptions thrown

       `StringIndexOutOfBoundsException` if the index is out of bounds.

124. #### def insert(index: Int, x: Any): StringBuilder

     Inserts the String representation (via String.valueOf) of the given argument into this sequence at the given index.

     Inserts the String representation (via String.valueOf) of the given argument into this sequence at the given index.

     index

       the index at which to insert.

     x

       a value.

     returns

       this StringBuilder.

     Exceptions thrown

       `StringIndexOutOfBoundsException` if the index is out of bounds.

125. #### def insertAll(index: Int, xs: Array[Char]): StringBuilder

     Inserts the given Array[Char] into this sequence at the given index.

     Inserts the given Array[Char] into this sequence at the given index.

     index

       the index at which to insert.

     xs

       the Array[Char].

     returns

       this StringBuilder.

     Exceptions thrown

       `StringIndexOutOfBoundsException` if the index is out of bounds.

126. #### def insertAll(index: Int, xs: TraversableOnce[Char]): StringBuilder

     Inserts the given Seq[Char] into this sequence at the given index.

     Inserts the given Seq[Char] into this sequence at the given index.

     index

       the index at which to insert.

     xs

       the Seq[Char].

     returns

       this StringBuilder.

     Exceptions thrown

       `StringIndexOutOfBoundsException` if the index is out of bounds.

127. #### def insertAll(index: Int, str: Array[Char], offset: Int, len: Int): StringBuilder

     Inserts a subarray of the given Array[Char] at the given index of this sequence.

     Inserts a subarray of the given Array[Char] at the given index of this sequence.

     index

       index at which to insert the subarray.

     str

       the Array from which Chars will be taken.

     offset

       the index of the first Char to insert.

     len

       the number of Chars from 'str' to insert.

     returns

       This StringBuilder.

     Exceptions thrown

       `StringIndexOutOfBoundsException` if index < 0, index > length, offset < 0, len < 0, or (offset + len) > str.length.

128. #### def intersect(that: collection.Seq[Char]): IndexedSeq[Char]

     [use case] Computes the multiset intersection between this string builder and another sequence.

     [use case]

     Computes the multiset intersection between this string builder and another sequence.

     that

       the sequence of elements to intersect with.

     returns

       a new string builder which contains all elements of this string builder which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def intersect[B >: Char](that: GenSeq[B]): StringBuilder

129. #### def isDefinedAt(idx: Int): Boolean

     Tests whether this general sequence contains given index.

     Tests whether this general sequence contains given index.

     The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

     idx

       the index to test

     returns

       `true` if this general sequence contains an element at position `idx`, `false` otherwise.

     Definition Classes
       GenSeqLike

130. #### def isEmpty: Boolean

     Tests whether this sequence is empty.

     Tests whether this sequence is empty.

     returns

       `true` if the sequence contain no elements, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → SeqLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

131. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

132. #### final def isTraversableAgain: Boolean

     Tests whether this traversable collection can be repeatedly traversed.

     Tests whether this traversable collection can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       TraversableLike → GenTraversableLike → GenTraversableOnce

133. #### def iterator: Iterator[Char]

     Creates a new iterator over all elements contained in this iterable object.

     Creates a new iterator over all elements contained in this iterable object.

     returns

       the new iterator

     Definition Classes
       IndexedSeqLike → IterableLike → GenIterableLike

134. #### def last: Char

     Selects the last element.

     Selects the last element.

     returns

       The last element of this sequence.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown

       `NoSuchElementException` If the sequence is empty.

135. #### def lastIndexOf(str: String, fromIndex: Int): Int

     Finds the index of the last occurrence of the specified substring.

     Finds the index of the last occurrence of the specified substring.

     str

       the target string to search for

     fromIndex

       the smallest index in the source string to consider

     returns

       the last applicable index where target occurs, or -1 if not found.

136. #### def lastIndexOf(str: String): Int

     Finds the index of the last occurrence of the specified substring.

     Finds the index of the last occurrence of the specified substring.

     str

       the target string to search for

     returns

       the last applicable index where target occurs, or -1 if not found.

137. #### def lastIndexOf(elem: Char, end: Int): Int

     [use case] Finds index of last occurrence of some value in this string builder before or at a given end index.

     [use case]

     Finds index of last occurrence of some value in this string builder before or at a given end index.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this string builder that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def lastIndexOf[B >: Char](elem: B, end: Int): Int

138. #### def lastIndexOf(elem: Char): Int

     [use case] Finds index of last occurrence of some value in this string builder.

     [use case]

     Finds index of last occurrence of some value in this string builder.

     elem

       the element value to search for.

     returns

       the index of the last element of this string builder that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def lastIndexOf[B >: Char](elem: B): Int

139. #### def lastIndexOfSlice[B >: Char](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this sequence contains a given sequence as a slice.

     Finds last index before or at a given end index where this sequence contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

140. #### def lastIndexOfSlice[B >: Char](that: GenSeq[B]): Int

     Finds last index where this sequence contains a given sequence as a slice.

     Finds last index where this sequence contains a given sequence as a slice.

     Note: will not terminate for infinite-sized collections.

     that

       the sequence to test

     returns

       the last index such that the elements of this sequence starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

141. #### def lastIndexWhere(p: (Char) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this sequence that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

142. #### def lastIndexWhere(p: (Char) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     Note: will not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this general sequence that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

143. #### def lastOption: Option[Char]

     Optionally selects the last element.

     Optionally selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the last element of this traversable collection$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

144. #### def length: Int

     The length of the string builder.

     The length of the string builder.

     Note: `xs.length` and `xs.size` yield the same result.

     returns

       the number of elements in this string builder.

     Definition Classes
       StringBuilder → StringLike → CharSequence → SeqLike → GenSeqLike

145. #### def lengthCompare(len: Int): Int

     Compares the length of this sequence to a test value.

     Compares the length of this sequence to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

           x <  0       if this.length <  len
           x == 0       if this.length == len
           x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       IndexedSeqOptimized → SeqLike

146. #### def length_=(n: Int): Unit

147. #### def lift: (Int) ⇒ Option[Char]

     Turns this partial function into a plain function returning an `Option` result.

     Turns this partial function into a plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

148. #### def lines: Iterator[String]

     Return all lines in this string in an iterator, excluding trailing line end characters, i.e., apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

     Return all lines in this string in an iterator, excluding trailing line end characters, i.e., apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

     Definition Classes
       StringLike

149. #### def linesWithSeparators: Iterator[String]

     Return all lines in this string in an iterator, including trailing line end characters.

     Return all lines in this string in an iterator, including trailing line end characters.

     The number of strings returned is one greater than the number of line end characters in this string. For an empty string, a single empty line is returned. A line end character is one of

     - `LF` - line feed (`0x0A` hex)
     - `FF` - form feed (`0x0C` hex)
     Definition Classes
       StringLike

150. #### def map[B](f: (A) ⇒ B): IndexedSeq[B]

     [use case] Builds a new collection by applying a function to all elements of this string builder.

     [use case]

     Builds a new collection by applying a function to all elements of this string builder.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new string builder resulting from applying the given function `f` to each element of this string builder and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (Char) ⇒ B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

151. #### def mapResult[NewTo](f: (String) ⇒ NewTo): Builder[Char, NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder

152. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this string builder.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: Char](implicit cmp: Ordering[B]): Char

153. #### def maxBy[B](f: (A) ⇒ B): A

     [use case] Finds the first element which yields the largest value measured by function f.

     [use case]

     Finds the first element which yields the largest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     returns

       the first element of this string builder with the largest value measured by function f.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def maxBy[B](f: (Char) ⇒ B)(implicit cmp: Ordering[B]): Char

154. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this string builder

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: Char](implicit cmp: Ordering[B]): Char

155. #### def minBy[B](f: (A) ⇒ B): A

     [use case] Finds the first element which yields the smallest value measured by function f.

     [use case]

     Finds the first element which yields the smallest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     returns

       the first element of this string builder with the smallest value measured by function f.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def minBy[B](f: (Char) ⇒ B)(implicit cmp: Ordering[B]): Char

156. #### def mkString: String

     Returns a new String representing the data in this sequence.

     Returns a new String representing the data in this sequence.

     returns

       the current contents of this sequence as a String

     Definition Classes
       StringBuilder → StringLike → TraversableOnce → GenTraversableOnce

157. #### def mkString(sep: String): String

     Displays all elements of this traversable or iterator in a string using a separator string.

     Displays all elements of this traversable or iterator in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

158. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

     Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this traversable or iterator. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

159. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

160. #### def newBuilder: GrowingBuilder[Char, StringBuilder]

     Creates a string builder buffer as builder for this class

     Creates a string builder buffer as builder for this class

     Attributes
       protected[this]
     Definition Classes
       StringBuilder → StringLike → GenericTraversableTemplate → TraversableLike → HasNewBuilder

161. #### def nonEmpty: Boolean

     Tests whether the traversable or iterator is not empty.

     Tests whether the traversable or iterator is not empty.

     returns

       `true` if the traversable or iterator contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

162. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

163. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

164. #### def orElse[A1 <: Int, B1 >: Char](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

165. #### def padTo(len: Int, elem: A): IndexedSeq[A]

     [use case] A copy of this string builder with an element value appended until a given target length is reached.

     [use case]

     A copy of this string builder with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new string builder consisting of all elements of this string builder followed by the minimal number of occurrences of `elem` so that the resulting string builder has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: Char, That](len: Int, elem: B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

166. #### def par: ParSeq[Char]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

167. #### def parCombiner: Combiner[Char, ParSeq[Char]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SeqLike → SeqLike → TraversableLike → Parallelizable

168. #### def partition(p: (Char) ⇒ Boolean): (StringBuilder, StringBuilder)

     Partitions this traversable collection in two traversable collections according to a predicate.

     Partitions this traversable collection in two traversable collections according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of traversable collections: the first traversable collection consists of all elements that satisfy the predicate `p` and the second traversable collection consists of all elements that don't. The relative order of the elements in the resulting traversable collections is the same as in the original traversable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

169. #### def patch(from: Int, that: GenSeq[A], replaced: Int): IndexedSeq[A]

     [use case] Produces a new string builder where a slice of elements in this string builder is replaced by another sequence.

     [use case]

     Produces a new string builder where a slice of elements in this string builder is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original string builder

     returns

       a new string builder consisting of all elements of this string builder except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: Char, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

170. #### def permutations: Iterator[StringBuilder]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this sequence.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

171. #### def prefixLength(p: (Char) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this general sequence such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

172. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this string builder of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the string builder and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Char](implicit num: Numeric[B]): B

173. #### def r(groupNames: String*): Regex

     You can follow a string with `.r(g1, ... , gn)`, turning it into a `Regex`, with group names g1 through gn.

     You can follow a string with `.r(g1, ... , gn)`, turning it into a `Regex`, with group names g1 through gn.

     `"""(\d\d)-(\d\d)-(\d\d\d\d)""".r("month", "day", "year")` matches dates and provides its subcomponents through groups named "month", "day" and "year".

     groupNames

       The names of the groups in the pattern, in the order they appear.

     Definition Classes
       StringLike

174. #### def r: Regex

     You can follow a string with `.r`, turning it into a `Regex`.

     You can follow a string with `.r`, turning it into a `Regex`. E.g.

     `"""A\w*""".r` is the regular expression for identifiers starting with `A`.

     Definition Classes
       StringLike

175. #### def reduce[A1 >: Char](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this traversable or iterator using the specified associative binary operator.

     Reduces the elements of this traversable or iterator using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the traversable or iterator is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this traversable or iterator is empty.

176. #### def reduceLeft[B >: Char](op: (B, Char) ⇒ B): B

     Applies a binary operator to all elements of this sequence, going left to right.

     Applies a binary operator to all elements of this sequence, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this sequence, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this sequence.

     Definition Classes
       IndexedSeqOptimized → TraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this sequence is empty.

177. #### def reduceLeftOption[B >: Char](op: (B, Char) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

     Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this traversable or iterator is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

178. #### def reduceOption[A1 >: Char](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

     Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

179. #### def reduceRight[B >: Char](op: (Char, B) ⇒ B): B

     Applies a binary operator to all elements of this sequence, going right to left.

     Applies a binary operator to all elements of this sequence, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this sequence, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this sequence.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this sequence is empty.

180. #### def reduceRightOption[B >: Char](op: (Char, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

     Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this traversable or iterator is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

181. #### def replace(start: Int, end: Int, str: String): StringBuilder

     Replaces a subsequence of Chars with the given String.

     Replaces a subsequence of Chars with the given String. The semantics are as in delete, with the String argument then inserted at index 'start'.

     start

       The beginning index, inclusive.

     end

       The ending index, exclusive.

     str

       The String to be inserted at the start index.

     returns

       This StringBuilder.

     Exceptions thrown

       `StringIndexOutOfBoundsException` if start < 0, start > length, or start > end

182. #### def replaceAllLiterally(literal: String, replacement: String): String

     Replace all literal occurrences of `literal` with the string `replacement`.

     Replace all literal occurrences of `literal` with the string `replacement`. This is equivalent to java.lang.String#replaceAll except that both arguments are appropriately quoted to avoid being interpreted as metacharacters.

     literal

       the string which should be replaced everywhere it occurs

     replacement

       the replacement string

     returns

       the resulting string

     Definition Classes
       StringLike

183. #### def repr: StringBuilder

     The collection of type traversable collection underlying this `TraversableLike` object.

     The collection of type traversable collection underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

184. #### def result(): String

     Returns the result of this Builder (a String)

     Returns the result of this Builder (a String)

     returns

       the string assembled by this StringBuilder

     Definition Classes
       StringBuilder → Builder

185. #### def reverse: StringBuilder

     Creates a new StringBuilder with the reversed contents of this one.

     Creates a new StringBuilder with the reversed contents of this one. If surrogate pairs are present, they are treated as indivisible units: each pair will appear in the same order in the updated sequence.

     returns

       the reversed StringBuilder

     Definition Classes
       StringBuilder → IndexedSeqOptimized → SeqLike → GenSeqLike
     Annotations
       @migration
     Migration

       (Changed in version 2.8.0) `reverse` returns a new instance. Use `reverseContents` to update in place and return that StringBuilder itself.

186. #### def reverseContents(): StringBuilder

     Like reverse, but destructively updates the target StringBuilder.

     Like reverse, but destructively updates the target StringBuilder.

     returns

       the reversed StringBuilder (same as the target StringBuilder)

187. #### def reverseIterator: Iterator[Char]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this sequence in reversed order

     Definition Classes
       IndexedSeqOptimized → SeqLike

188. #### def reverseMap[B](f: (A) ⇒ B): IndexedSeq[B]

     [use case] Builds a new collection by applying a function to all elements of this string builder and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this string builder and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new string builder resulting from applying the given function `f` to each element of this string builder and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (Char) ⇒ B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

189. #### def reversed: List[Char]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

190. #### def runWith[U](action: (Char) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

191. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this string builder.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this string builder.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Char](that: GenIterable[B]): Boolean

192. #### def scan[B >: Char, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[StringBuilder, B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new traversable collection containing the prefix scan of the elements in this traversable collection

     Definition Classes
       TraversableLike → GenTraversableLike

193. #### def scanLeft[B, That](z: B)(op: (B, Char) ⇒ B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

194. #### def scanRight[B, That](z: B)(op: (Char, B) ⇒ B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

195. #### def segmentLength(p: (Char) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this sequence starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

196. #### def seq: IndexedSeq[Char]

     A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

     A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       IndexedSeq → IndexedSeq → IndexedSeqLike → Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

197. #### def setCharAt(index: Int, ch: Char): Unit

     Update the sequence at the given index to hold the specified Char.

     Update the sequence at the given index to hold the specified Char.

     index

       the index to modify.

     ch

       the new Char.

     Exceptions thrown

       `IndexOutOfBoundsException` if the index is out of bounds.

198. #### def setLength(len: Int): Unit

     Sets the length of the character sequence.

     Sets the length of the character sequence. If the current sequence is shorter than the given length, it is padded with nulls; if it is longer, it is truncated.

     len

       the new length

     Exceptions thrown

       `IndexOutOfBoundsException` if the argument is negative.

199. #### def size: Int

     The size of this sequence, equivalent to `length`.

     The size of this sequence, equivalent to `length`.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this sequence.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

200. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

201. #### def sizeHint(coll: TraversableLike[_, _]): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     Definition Classes
       Builder

202. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

203. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

204. #### def slice(from: Int, until: Int): StringBuilder

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a string containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this string.

     Definition Classes
       StringLike → IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

205. #### def sliding(size: Int, step: Int): Iterator[StringBuilder]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups

     returns

       An iterator producing iterable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

206. #### def sliding(size: Int): Iterator[StringBuilder]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.) "Sliding window" step is 1 by default.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.) "Sliding window" step is 1 by default.

     size

       the number of elements per group

     returns

       An iterator producing iterable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

207. #### def sortBy[B](f: (Char) ⇒ B)(implicit ord: math.Ordering[B]): StringBuilder

     Sorts this `Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a sequence consisting of the elements of this sequence sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

       Note: will not terminate for infinite-sized collections.

208. #### def sortWith(lt: (Char, Char) ⇒ Boolean): StringBuilder

     Sorts this sequence according to a comparison function.

     Sorts this sequence according to a comparison function.

     Note: will not terminate for infinite-sized collections.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a sequence consisting of the elements of this sequence sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

209. #### def sorted[B >: Char](implicit ord: math.Ordering[B]): StringBuilder

     Sorts this sequence according to an Ordering.

     Sorts this sequence according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a sequence consisting of the elements of this sequence sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

210. #### def span(p: (Char) ⇒ Boolean): (StringBuilder, StringBuilder)

     Splits this sequence into a prefix/suffix pair according to a predicate.

     Splits this sequence into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this sequence whose elements all satisfy `p`, and the rest of this sequence.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

211. #### def split(separators: Array[Char]): Array[String]

     Definition Classes
       StringLike
     Annotations
       @throws( clazz = ... )

212. #### def split(separator: Char): Array[String]

     Definition Classes
       StringLike

213. #### def splitAt(n: Int): (StringBuilder, StringBuilder)

     Splits this sequence into two at a given position.

     Splits this sequence into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of sequences consisting of the first `n` elements of this sequence, and the other elements.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

214. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this sequence contains the given sequence at a given index.

     Tests whether this sequence contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this sequence at index `offset`, otherwise `false`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

215. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this general sequence starts with the given sequence.

     Tests whether this general sequence starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

216. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this traversable collection. By default the string prefix is the simple name of the collection class traversable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

217. #### def stripLineEnd: String

     Strip trailing line end character from this string if it has one.

     Strip trailing line end character from this string if it has one.

     A line end character is one of

     - `LF` - line feed (`0x0A` hex)
     - `FF` - form feed (`0x0C` hex)

     If a line feed character `LF` is preceded by a carriage return `CR` (`0x0D` hex), the `CR` character is also stripped (Windows convention).

     Definition Classes
       StringLike

218. #### def stripMargin: String

     For every line in this string:

     For every line in this string:

     Strip a leading prefix consisting of blanks or control characters followed by `|` from the line.

     Definition Classes
       StringLike

219. #### def stripMargin(marginChar: Char): String

     For every line in this string:

     For every line in this string:

     Strip a leading prefix consisting of blanks or control characters followed by `marginChar` from the line.

     Definition Classes
       StringLike

220. #### def stripPrefix(prefix: String): String

     Returns this string with the given `prefix` stripped.

     Returns this string with the given `prefix` stripped. If this string does not start with `prefix`, it is returned unchanged.

     Definition Classes
       StringLike

221. #### def stripSuffix(suffix: String): String

     Returns this string with the given `suffix` stripped.

     Returns this string with the given `suffix` stripped. If this string does not end with `suffix`, it is returned unchanged.

     Definition Classes
       StringLike

222. #### def subSequence(start: Int, end: Int): CharSequence

     For implementing CharSequence.

     For implementing CharSequence.

     Definition Classes
       StringBuilder → CharSequence

223. #### def substring(start: Int, end: Int): String

     Returns a new String made up of a subsequence of this sequence, beginning at the start index (inclusive) and extending to the end index (exclusive).

     Returns a new String made up of a subsequence of this sequence, beginning at the start index (inclusive) and extending to the end index (exclusive).

     target.substring(start, end) is equivalent to target.slice(start, end).mkString

     start

       The beginning index, inclusive.

     end

       The ending index, exclusive.

     returns

       The new String.

     Exceptions thrown

       `StringIndexOutOfBoundsException` If either index is out of bounds, or if start > end.

224. #### def substring(start: Int): String

     Returns a new String made up of a subsequence of this sequence, beginning at the given index and extending to the end of the sequence.

     Returns a new String made up of a subsequence of this sequence, beginning at the given index and extending to the end of the sequence.

     target.substring(start) is equivalent to target.drop(start)

     start

       The starting index, inclusive.

     returns

       The new String.

     Exceptions thrown

       `IndexOutOfBoundsException` if the index is out of bounds.

225. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this string builder of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the string builder and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Char](implicit num: Numeric[B]): B

226. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

227. #### def tail: StringBuilder

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a sequence consisting of all elements of this sequence except the first one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown

       ``UnsupportedOperationException`` if the sequence is empty.

228. #### def tails: Iterator[StringBuilder]

     Iterates over the tails of this traversable collection.

     Iterates over the tails of this traversable collection. The first value will be this traversable collection and the final one will be an empty traversable collection, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this traversable collection

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

229. #### def take(n: Int): StringBuilder

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this sequence.

     returns

       a sequence consisting only of the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

230. #### def takeRight(n: Int): StringBuilder

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a sequence consisting only of the last `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike

231. #### def takeWhile(p: (Char) ⇒ Boolean): StringBuilder

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this sequence whose elements all satisfy the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

232. #### def thisCollection: StringBuilder

     The underlying collection seen as an instance of ``mutable.IndexedSeq``.

     The underlying collection seen as an instance of ``mutable.IndexedSeq``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       StringBuilder → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

233. #### def to[Col[_]]: Col[A]

     [use case] Converts this string builder into another by copying all elements.

     [use case]

     Converts this string builder into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this string builder.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Char, Col[Char]]): Col[Char]

234. #### def toArray: Array[Char]

235. #### def toArray: Array[A]

     [use case] Converts this string builder to an array.

     [use case]

     Converts this string builder to an array.

     returns

       an array containing all elements of this string builder. An `ClassTag` must be available for the element type of this string builder.

     Definition Classes
       StringLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: Char](implicit arg0: ClassTag[B]): Array[B]

236. #### def toBoolean: Boolean

     Definition Classes
       StringLike
     Exceptions thrown

       `java.lang.IllegalArgumentException` - If the string does not contain a parsable boolean.

237. #### def toBuffer[A1 >: Char]: Buffer[A1]

     Uses the contents of this sequence to create a new mutable buffer.

     Uses the contents of this sequence to create a new mutable buffer.

     returns

       a buffer containing all elements of this sequence.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

238. #### def toByte: Byte

     Definition Classes
       StringLike
     Exceptions thrown

       `java.lang.NumberFormatException` - If the string does not contain a parsable byte.

239. #### def toCollection(repr: StringBuilder): StringBuilder

     A conversion from collections of type `Repr` to ``mutable.IndexedSeq`` objects.

     A conversion from collections of type `Repr` to ``mutable.IndexedSeq`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       StringBuilder → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

240. #### def toCollection(repr: IndexedSeq[Char]): IndexedSeq[Char]

     A conversion from collections of type `Repr` to ``IndexedSeq`` objects.

     A conversion from collections of type `Repr` to ``IndexedSeq`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

241. #### def toDouble: Double

     Definition Classes
       StringLike
     Exceptions thrown

       `java.lang.NumberFormatException` - If the string does not contain a parsable double.

242. #### def toFloat: Float

     Definition Classes
       StringLike
     Exceptions thrown

       `java.lang.NumberFormatException` - If the string does not contain a parsable float.

243. #### def toIndexedSeq: immutable.IndexedSeq[Char]

     Converts this traversable or iterator to an indexed sequence.

     Converts this traversable or iterator to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

244. #### def toInt: Int

     Definition Classes
       StringLike
     Exceptions thrown

       `java.lang.NumberFormatException` - If the string does not contain a parsable int.

245. #### def toIterable: collection.Iterable[Char]

     Returns this iterable collection as an iterable collection.

     Returns this iterable collection as an iterable collection.

     A new collection will not be built; lazy collections will stay lazy.

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

246. #### def toIterator: Iterator[Char]

     Returns an Iterator over the elements in this iterable collection.

     Returns an Iterator over the elements in this iterable collection. Produces the same result as `iterator`.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

247. #### def toList: List[Char]

     Converts this traversable or iterator to a list.

     Converts this traversable or iterator to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

248. #### def toLong: Long

     Definition Classes
       StringLike
     Exceptions thrown

       `java.lang.NumberFormatException` - If the string does not contain a parsable long.

249. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this string builder to a map.

     [use case]

     Converts this string builder to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this string builder.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Char, (T, U)]): immutable.Map[T, U]

250. #### def toParArray: ParArray[T]

     Implicit information
       This member is added by an implicit conversion from StringBuilder to CollectionsHaveToParArray[StringBuilder, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (StringBuilder) ⇒ GenTraversableOnce[T] is in scope.
     Definition Classes
       CollectionsHaveToParArray

251. #### def toSeq: collection.Seq[Char]

     Converts this sequence to a sequence.

     Converts this sequence to a sequence.

     Note: will not terminate for infinite-sized collections.

     A new collection will not be built; in particular, lazy sequences will stay lazy.

     returns

       a sequence containing all elements of this sequence.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

252. #### def toSet[B >: Char]: immutable.Set[B]

     Converts this traversable or iterator to a set.

     Converts this traversable or iterator to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

253. #### def toShort: Short

     Definition Classes
       StringLike
     Exceptions thrown

       `java.lang.NumberFormatException` - If the string does not contain a parsable short.

254. #### def toStream: immutable.Stream[Char]

     Converts this iterable collection to a stream.

     Converts this iterable collection to a stream.

     returns

       a stream containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

255. #### def toString(): String

     Returns a new String representing the data in this sequence.

     Returns a new String representing the data in this sequence.

     returns

       the current contents of this sequence as a String

     Definition Classes
       StringBuilder → CharSequence → SeqLike → Function1 → TraversableLike → AnyRef → Any
     Note

       because toString is inherited from AnyRef and used for many purposes, it is better practice to call mkString to obtain a StringBuilder result.

256. #### def toTraversable: collection.Traversable[Char]

     Converts this traversable collection to an unspecified Traversable.

     Converts this traversable collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this traversable collection.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

257. #### def toVector: Vector[Char]

     Converts this traversable or iterator to a Vector.

     Converts this traversable or iterator to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

258. #### def transform(f: (Char) ⇒ Char): StringBuilder.this.type

     Applies a transformation function to all values contained in this sequence.

     Applies a transformation function to all values contained in this sequence. The transformation function produces new values from existing elements.

     f

       the transformation to apply

     returns

       the sequence itself.

     Definition Classes
       SeqLike

259. #### def transpose[B](implicit asTraversable: (Char) ⇒ GenTraversableOnce[B]): IndexedSeq[IndexedSeq[B]]

     Transposes this collection of traversable collections into a collection of collections.

     Transposes this collection of traversable collections into a collection of collections.

     The resulting collection's type will be guided by the static type of collection. For example:

         val xs = List(
                    Set(1, 2, 3),
                    Set(4, 5, 6)).transpose
         // xs == List(
         //         List(1, 4),
         //         List(2, 5),
         //         List(3, 6))

         val ys = Vector(
                    List(1, 2, 3),
                    List(4, 5, 6)).transpose
         // ys == Vector(
         //         Vector(1, 4),
         //         Vector(2, 5),
         //         Vector(3, 6))

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this collection is a `Traversable`.

     returns

       a two-dimensional collection of collections which has as nth row the nth column of this collection.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown

       `IllegalArgumentException` if all collections in this collection are not of the same size.

260. #### def union(that: collection.Seq[Char]): IndexedSeq[Char]

     [use case] Produces a new sequence which contains all elements of this string builder and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this string builder and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     that

       the sequence to add.

     returns

       a new string builder which contains all elements of this string builder followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: Char, That](that: GenSeq[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

261. #### def unzip[A1, A2](implicit asPair: (Char) ⇒ (A1, A2)): (IndexedSeq[A1], IndexedSeq[A2])

     Converts this collection of pairs into two collections of the first and second half of each pair.

     Converts this collection of pairs into two collections of the first and second half of each pair.

         val xs = Traversable(
                    (1, "one"),
                    (2, "two"),
                    (3, "three")).unzip
         // xs == (Traversable(1, 2, 3),
         //        Traversable(one, two, three))

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this collection is a pair.

     returns

       a pair of collections, containing the first, respectively second half of each element pair of this collection.

     Definition Classes
       GenericTraversableTemplate

262. #### def unzip3[A1, A2, A3](implicit asTriple: (Char) ⇒ (A1, A2, A3)): (IndexedSeq[A1], IndexedSeq[A2], IndexedSeq[A3])

     Converts this collection of triples into three collections of the first, second, and third element of each triple.

     Converts this collection of triples into three collections of the first, second, and third element of each triple.

         val xs = Traversable(
                    (1, "one", '1'),
                    (2, "two", '2'),
                    (3, "three", '3')).unzip3
         // xs == (Traversable(1, 2, 3),
         //        Traversable(one, two, three),
         //        Traversable(1, 2, 3))

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this collection is a triple.

     returns

       a triple of collections, containing the first, second, respectively third member of each element triple of this collection.

     Definition Classes
       GenericTraversableTemplate

263. #### def update(i: Int, c: Char): Unit

     Equivalent to setCharAt.

     Equivalent to setCharAt.

     Definition Classes
       StringBuilder → IndexedSeqLike → SeqLike

264. #### def updated(index: Int, elem: A): IndexedSeq[A]

     [use case] A copy of this string builder with one single replaced element.

     [use case]

     A copy of this string builder with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this string builder with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: Char, That](index: Int, elem: B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

265. #### def view(from: Int, until: Int): IndexedSeqView[Char, IndexedSeq[Char]]

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     from

       The index of the first element of the slice

     until

       The index of the element following the slice

     returns

       a non-strict view of a slice of this mutable indexed sequence, starting at index `from` and extending up to (but not including) index `until`.@note The difference between `view` and `slice` is that `view` produces a view of the current sequence, whereas `slice` produces a new sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike
     Note

       view(from, to) is equivalent to view.slice(from, to)

266. #### def view: IndexedSeqView[Char, IndexedSeq[Char]]

     Creates a view of this iterable @see Iterable.View

     Creates a view of this iterable @see Iterable.View

     returns

       a non-strict view of this mutable indexed sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

267. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

268. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

269. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

270. #### def withFilter(p: (Char) ⇒ Boolean): FilterMonadic[Char, StringBuilder]

     Creates a non-strict filter of this traversable collection.

     Creates a non-strict filter of this traversable collection.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this traversable collection which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

271. #### def zip[B](that: GenIterable[B]): IndexedSeq[(A, B)]

     [use case] Returns a string builder formed from this string builder and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a string builder formed from this string builder and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new string builder containing pairs consisting of corresponding elements of this string builder and `that`. The length of the returned collection is the minimum of the lengths of this string builder and `that`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Char, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[StringBuilder, (A1, B), That]): That

272. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): IndexedSeq[(A, B)]

     [use case] Returns a string builder formed from this string builder and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a string builder formed from this string builder and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this string builder is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this string builder.

     returns

       a new string builder containing pairs consisting of corresponding elements of this string builder and `that`. The length of the returned collection is the maximum of the lengths of this string builder and `that`. If this string builder is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this string builder, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Char, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[StringBuilder, (A1, B), That]): That

273. #### def zipWithIndex: IndexedSeq[(A, Int)]

     [use case] Zips this string builder with its indices.

     [use case]

     Zips this string builder with its indices.

     returns

       A new string builder containing pairs consisting of all elements of this string builder paired with their index. Indices start at `0`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Char, That](implicit bf: CanBuildFrom[StringBuilder, (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

274. #### def →[B](y: B): (StringBuilder, B)

     Implicit information
       This member is added by an implicit conversion from StringBuilder to ArrowAssoc[StringBuilder] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from StringBuilder to any2stringadd[StringBuilder] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: any2stringadd[StringBuilder]).+(other)

   Definition Classes
     any2stringadd

2. #### def charAt(index: Int): Char

   Implicit information
     This member is added by an implicit conversion from StringBuilder to SeqCharSequence performed by method SeqCharSequence in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: SeqCharSequence).charAt(index)

   Definition Classes
     SeqCharSequence → CharSequence

3. #### def filter(p: (Char) ⇒ Boolean): TraversableOnce[Char]

   Implicit information
     This member is added by an implicit conversion from StringBuilder to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: MonadOps[Char]).filter(p)

   Definition Classes
     MonadOps

4. #### def flatMap[B](f: (Char) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from StringBuilder to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: MonadOps[Char]).flatMap(f)

   Definition Classes
     MonadOps

5. #### def length(): Int

   Implicit information
     This member is added by an implicit conversion from StringBuilder to SeqCharSequence performed by method SeqCharSequence in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: SeqCharSequence).length()

   Definition Classes
     SeqCharSequence → CharSequence

6. #### def map[B](f: (Char) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from StringBuilder to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: MonadOps[Char]).map(f)

   Definition Classes
     MonadOps

7. #### def subSequence(start: Int, end: Int): CharSequence

   Implicit information
     This member is added by an implicit conversion from StringBuilder to SeqCharSequence performed by method SeqCharSequence in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: SeqCharSequence).subSequence(start, end)

   Definition Classes
     SeqCharSequence → CharSequence

8. #### def toString(): String

   Creates a String representation of this object.

   Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

   returns

     a String representation of the object.

   Implicit information
     This member is added by an implicit conversion from StringBuilder to SeqCharSequence performed by method SeqCharSequence in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: SeqCharSequence).toString()

   Definition Classes
     SeqCharSequence → CharSequence → AnyRef → Any

9. #### def withFilter(p: (Char) ⇒ Boolean): Iterator[Char]

   Implicit information
     This member is added by an implicit conversion from StringBuilder to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringBuilder: MonadOps[Char]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def linesIterator: Iterator[String]

   Return all lines in this string in an iterator, excluding trailing line end characters, i.e., apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

   Return all lines in this string in an iterator, excluding trailing line end characters, i.e., apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

   Definition Classes
     StringLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use `lines` instead.

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Builder[Char, String]

### Inherited from Growable[Char]

### Inherited from Clearable

### Inherited from StringLike[StringBuilder]

### Inherited from math.Ordered[String]

### Inherited from Comparable[String]

### Inherited from collection.IndexedSeqOptimized[Char, StringBuilder]

### Inherited from IndexedSeq[Char]

### Inherited from IndexedSeqLike[Char, IndexedSeq[Char]]

### Inherited from collection.IndexedSeq[Char]

### Inherited from collection.IndexedSeqLike[Char, StringBuilder]

### Inherited from CharSequence

### Inherited from AbstractSeq[Char]

### Inherited from Seq[Char]

### Inherited from SeqLike[Char, Seq[Char]]

### Inherited from Cloneable[Seq[Char]]

### Inherited from scala.Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Iterable[Char]

### Inherited from Traversable[Char]

### Inherited from Mutable

### Inherited from collection.AbstractSeq[Char]

### Inherited from collection.Seq[Char]

### Inherited from collection.SeqLike[Char, StringBuilder]

### Inherited from GenSeq[Char]

### Inherited from GenSeqLike[Char, StringBuilder]

### Inherited from PartialFunction[Int, Char]

### Inherited from (Int) ⇒ Char

### Inherited from collection.AbstractIterable[Char]

### Inherited from collection.Iterable[Char]

### Inherited from IterableLike[Char, StringBuilder]

### Inherited from Equals

### Inherited from GenIterable[Char]

### Inherited from GenIterableLike[Char, StringBuilder]

### Inherited from AbstractTraversable[Char]

### Inherited from collection.Traversable[Char]

### Inherited from GenTraversable[Char]

### Inherited from GenericTraversableTemplate[Char, IndexedSeq]

### Inherited from TraversableLike[Char, StringBuilder]

### Inherited from GenTraversableLike[Char, StringBuilder]

### Inherited from Parallelizable[Char, ParSeq[Char]]

### Inherited from TraversableOnce[Char]

### Inherited from GenTraversableOnce[Char]

### Inherited from FilterMonadic[Char, StringBuilder]

### Inherited from HasNewBuilder[Char, StringBuilder]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion SeqCharSequence from StringBuilder to SeqCharSequence

### Inherited by implicit conversion CollectionsHaveToParArray from StringBuilder to CollectionsHaveToParArray[StringBuilder, T]

### Inherited by implicit conversion MonadOps from StringBuilder to MonadOps[Char]

### Inherited by implicit conversion any2stringadd from StringBuilder to any2stringadd[StringBuilder]

### Inherited by implicit conversion StringFormat from StringBuilder to StringFormat[StringBuilder]

### Inherited by implicit conversion Ensuring from StringBuilder to Ensuring[StringBuilder]

### Inherited by implicit conversion ArrowAssoc from StringBuilder to ArrowAssoc[StringBuilder]

### Inherited by implicit conversion alternateImplicit from StringBuilder to ForceImplicitAmbiguity

### Ungrouped